/**
 引用步骤：
 (1) 在 project 下的 build.gradle 文件第一行添加 apply from : "config.gradle"
 (2) 在各个 module 中用 implemetions rootProject.ext.dependencies['xxx'] 和 annotationProcessor rootProject.ext..dependencies['xxx']
 **/
ext {
    android = [
            stuApplicationId        : 'com.cooleshow.student',
            teapplicationId         : 'com.cooleshow.teacher',
            compileSdkVersion       : 30,
            buildToolsVersion       : "29.0.0",
            minSdkVersion           : 21,
            targetSdkVersion        : 29,

            versionCode             : 357,
            studentVersionName      : "3.5.7",
            teacherVersionName      : "3.5.7",


            kotlin_version          : '1.5.31',
            anko_version            : '0.10.8',
            rx_lifecycle_version    : '2.2.1',
            glide_version           : "3.7.0",

            ok_http_version         : '3.4.1',
            retrofit_version        : '2.1.0',

            rx_kotlin_version       : '2.0.0',
            rx_android_version      : '1.2.1',

            glide_version           : '4.13.0',
            dagger_version          : '2.41',

            multi_state_view_version: '2.2.0',

            arouter_api_version     : '1.5.2',
    ]
}